gnutls_aead_cipher_encrypt(3)

NAME
gnutls_aead_cipher_encrypt - API function

SYNOPSIS
#include <gnutls/crypto.h>

int gnutls_aead_cipher_encrypt(gnutls_aead_cipher_hd_t handle, const void * nonce, size_t nonce_len, const void * auth, size_t auth_len, size_t tag_size, const void * ptext, size_t ptext_len, void * ctext, size_t * ctext_len);

ARGUMENTS

gnutls_aead_cipher_hd_t handle
    is a gnutls_aead_cipher_hd_t type.

const void * nonce
    the nonce to set

size_t nonce_len
    The length of the nonce

const void * auth
    the data to be authenticated

size_t auth_len
    The length of the data

size_t tag_size
    The size of the tag to use (use zero for the default)

const void * ptext
    the data to encrypt

size_t ptext_len
    The length of data to encrypt

void * ctext
    the encrypted data

size_t * ctext_len
    the length of encrypted data (initially must hold the maximum available size, including space for tag)

DESCRIPTION
This function will encrypt the given data using the algorithm specified by the context. The output data will contain the authentication tag.

RETURNS
Zero or a negative error code on error.

SINCE
3.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/